Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154424 - [RHEL-3] cronjobs start too early
Summary: [RHEL-3] cronjobs start too early
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vixie-cron
Version: 3.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks: 168424
TreeView+ depends on / blocked
 
Reported: 2005-04-11 16:29 UTC by David Lehman
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHSA-2006-0117
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-15 15:30:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0117 qe-ready SHIPPED_LIVE Low: vixie-cron security update 2006-03-15 05:00:00 UTC

Description David Lehman 2005-04-11 16:29:01 UTC
+++ This bug was initially created as a clone of Bug #106578 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.4) Gecko/20030624

Description of problem:
sometimes cronjobs start earlier then configured in crontab.
Example:

* * * * *  date +'\%s.\%N' >> /tmp/date-2.log ;date >> /tmp/date-2.log

Wed Oct  8 12:21:00 CEST 2003
1065608519.783610000
Wed Oct  8 12:21:59 CEST 2003
1065608580.791188000

the smallest intervall is 58.1968970298767

this problem is very dangerous for example logrotating at 00:00:00 with a date
in file name

You can also find some entries in cron log from cron.hourly with HH:00:59
(should be > HH:01:00)

Version-Release number of selected component (if applicable):
vixie-cron-3.0.1-63.1

How reproducible:
Always

Steps to Reproduce:
1.crontab -e: * * * * *  date +'\%s.\%N' >> /tmp/date-2.log
2.cat date-2.log |sort -nr|perl -ne '$NEW=$_;chop $NEW ;print "$NEW - $LAST:\t";
print $NEW - $LAST ."\n" ;$LAST=$NEW ;'
3. or: grep cron.hourly /etc/crontab; grep ":00:59" /var/log/cron*
    

Additional info:
This was initially reported against RHL9. A fix has been intruduced into
vixie-cron-4.x. Customer is requesting the fix be backported to RHEL3.

Comment 1 David Lehman 2005-04-11 16:35:05 UTC
I had the version wrong. It should be

Version-Release number of selected component (if applicable):
vixie-cron-3.0.1-75.1


Comment 2 Jason Vas Dias 2005-04-11 19:03:57 UTC
This is fixed with vixie-cron-4.1-4_EL3, submitted for RHEL-3-U5 .


Comment 3 Jason Vas Dias 2005-04-11 19:05:56 UTC
Meanwhile, it can be downloaded from:
  http://people.redhat.com/~jvdias/cron/RHEL-3


Comment 4 David Lehman 2005-04-11 20:06:56 UTC
This should be set to MODIFIED until the errata has actually been released and
the customer has verified the fix.

Comment 5 Jason Vas Dias 2005-04-12 15:06:09 UTC
This bug is addressed by errata RHBA-2004:639-18 , targetted for RHEL-3-U5 .
http://porkchop.devel.redhat.com/errata/erratainfo.cgi?advisory=2004%3A639

Comment 7 Jason Vas Dias 2005-08-11 20:22:18 UTC
The latest version of vixie-cron for RHEL-3 is vixie-cron-4.1-8_EL3,
which fixes this problem, and is available from :
    http://people.redhat.com/~jvdias/cron/RHEL-3
The errata for it is RHSA:2005-402 
( http://porkchop/errata/erratainfo.cgi?advisory=1755 ).

A fix for this issue has been submitted since 2004-11-16 and completed
QA testing on 2005-03-10 but as yet has not been allocated to any update
release by product management.

I guess the best advice to customers who want this issue fixed in a 
supported RHEL vixie-cron release would be to upgrade to RHEL-4 .

Comment 11 Red Hat Bugzilla 2006-03-15 15:30:40 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0117.html



Note You need to log in before you can comment on or make changes to this bug.